#
# TODO:
#	- initscripts stuff - move save/restore dumps to /etc/sysconfig & more
#	- review llh patch
#
%define		_pre	4
%define		_rel	1
Summary:	Ethernet Bridge Tables
Summary(pl.UTF-8):	Ethernet Bridge Tables - filtrowanie i translacja adresów dla Ethernetu
Name:		ebtables
Version:	2.0.10
Release:	%{_pre}.%{_rel}
License:	GPL
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/ebtables/%{name}-v%{version}-%{_pre}.tar.gz
# Source0-md5:	506742a3d44b9925955425a659c1a8d0
URL:		http://ebtables.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ebtables project is the Linux 2.5.x (and above) Link Layer
firewalling subsystem, a patch for 2.4.x is maintained too. It
delivers for Linux the functionality of Ethernet frame filtering, all
kinds of frame NAT (Network Address Translation) and frame matching.
The ebtables infrastructure is a part of the standard Linux 2.5.x (and
above) kernels.

%description -l pl.UTF-8
Projekt ebtables to podsystem firewallingu na poziomie łącza dla
Linuksa w wersjach 2.5.x i nowszych (dostępna jest też łata do 2.4.x).
Dostarcza dla Linuksa funkcjonalność filtrowania ramek ethernetowych,
wszystkie rodzaje translacji adresów (NAT) dla ramek oraz
dopasowywanie ramek. Infrastruktura ebtables jest częścią
standardowych jąder Linuksa w wersjach 2.5.x i nowszych.

%prep
%setup -q -n %{name}-v%{version}-%{_pre}

%build
%{__make} \
	CFLAGS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/sysconfig,/etc/rc.d/init.d,%{_sysconfdir},%{_sbindir},%{_libdir},%{_mandir}/man8}

install ebtables{,-restore}	$RPM_BUILD_ROOT%{_sbindir}
install ethertypes		$RPM_BUILD_ROOT%{_sysconfdir}
install ebtables.8		$RPM_BUILD_ROOT%{_mandir}/man8
install extensions/*.so	*.so	$RPM_BUILD_ROOT%{_libdir}

export __iets=`printf %{_sbindir} | sed 's/\\//\\\\\\//g'`
export __iets2=`printf %{_mysysconfdir} | sed 's/\\//\\\\\\//g'`
sed -i "s/__EXEC_PATH__/$__iets/g" ebtables-save
install ebtables-save 		$RPM_BUILD_ROOT%{_sbindir}
sed -i "s/__EXEC_PATH__/$__iets/g" ebtables.sysv; sed -i "s/__SYSCONFIG__/$__iets2/g" ebtables.sysv
install ebtables.sysv		$RPM_BUILD_ROOT/etc/rc.d/init.d/ebtables
sed -i "s/__SYSCONFIG__/$__iets2/g" ebtables-config
install ebtables-config		$RPM_BUILD_ROOT/etc/sysconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ebtables

%preun
if [ $1 -eq 0 ]; then
	%service ebtables stop
	/sbin/chkconfig --del ebtables
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL THANKS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ethertypes
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ebtables-config
%attr(754,root,root) /etc/rc.d/init.d/ebtables
%attr(755,root,root) %{_sbindir}/ebtables*
%attr(755,root,root) %{_libdir}/libebt*.so
%{_mandir}/man8/ebtables.8*
%changelog
* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 8878b89
different source URL

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> b702bff
Version: 2.0.10 -4

* Sun Apr 04 2010 Tomasz Pala <gotar@pld-linux.org> 14cb3e0
- upgraded to 2.0.9-2; moved the rest of libs to %_libdir

* Sat Dec 19 2009 Tomasz Pala <gotar@pld-linux.org> f46b964
- upgraded to v2.0.9-1; release 1,
- moved libebtc.so to %_libdir, use CFLAGS, shorter directory preparation,
  verbose file listing

* Fri Feb 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ee8c1a7
- release 2

* Wed Oct 17 2007 zbyniu <zbyniu@pld-linux.org> a3a7127
- up to 2.0.8-2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c15a9ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ecac19a
- converted to UTF-8

* Tue Dec 19 2006 Elan Ruusamäe <glen@pld-linux.org> 7dfef2e
- relup friendly release
- use %service, deps
- unify, adapter

* Tue Dec 19 2006 shadzik <shadzik@pld-linux.org> b072251
- no longer needed

* Tue Dec 19 2006 shadzik <shadzik@pld-linux.org> d491387
- 2.0.8-rc3
- patch0 no longer needed (already upstream)

* Tue Dec 19 2006 shadzik <shadzik@pld-linux.org> 9f11835
- better handlig of rc-versions

* Fri Jul 28 2006 darekr <darekr@pld-linux.org> b8bbfb8
- fix perms for init script

* Mon Jul 24 2006 Jakub Bogusz <qboosh@pld-linux.org> ee92789
- macros usage, config() flags, .so perms

* Mon Jul 24 2006 mguevara <mguevara@pld-linux.org> 91ae9d3
- 2.0.8-0.rc2.1 (aka 2.0.8 rc2) update

* Mon Sep 20 2004 havner <havner@pld-linux.org> 86f7251
- rel 1

* Mon Sep 20 2004 havner <havner@pld-linux.org> 14484e6
- llh patch

* Mon Sep 20 2004 havner <havner@pld-linux.org> b6e0423
- try to fix build on llh

* Wed Nov 19 2003 cieciwa <cieciwa@pld-linux.org> 1191748
- update to version 2.0.6

* Mon Jul 28 2003 Adam Gołębiowski <adamg@pld-linux.org> b06f879
- updated to 2.0.5

